Bug 993662 - adobe-source-libraries possibly affected by F-20 unversioned docdir change
adobe-source-libraries possibly affected by F-20 unversioned docdir change
Product: Fedora
Classification: Fedora
Component: adobe-source-libraries (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alec Leamas
Fedora Extras Quality Assurance
Depends On:
Blocks: F20UnversionedDocDirs
  Show dependency treegraph
Reported: 2013-08-06 07:31 EDT by Ville Skyttä
Modified: 2014-01-18 15:38 EST (History)
1 user (show)

See Also:
Fixed In Version: adobe-source-libraries-1.0.43-19.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-01-18 15:38:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ville Skyttä 2013-08-06 07:31:06 EDT
adobe-source-libraries was identified as a package possibly needing maintainer attention
due to the F-20 unversioned doc dir change. The identification is not
foolproof, it is basically this grep:

    grep -E "(/doc|_docdir|_defaultdocdir).+version" *.spec

Please review your package and make the appropriate changes, if any. A
good starting point is checking the lines output by the above grep for
your specfile. For the vast majority of packages, after the changes,
the expected outcome is that documentation dirs in /usr/share/doc
should no longer contain the package version.

More information and tips:
Comment 1 Fedora Update System 2013-08-08 22:32:05 EDT
adobe-source-libraries-1.0.43-19.fc19 has been submitted as an update for Fedora 19.
Comment 2 Ville Skyttä 2013-08-09 03:31:37 EDT
This change affects F-20 only. Why ship it as an update to F-19? I suggest deleting the update in comment 1.
Comment 3 Alec Leamas 2013-08-09 04:16:32 EDT
I have used the way recommended in [1] to keep the spec file identical in f19-f20, easing further maintenance. Is this a problem?

[1] https://fedoraproject.org/wiki/Changes/UnversionedDocdirs
Comment 4 Ville Skyttä 2013-08-09 04:26:21 EDT
No. But the question is: why are you shipping an F-19 update that does not change anything for them, it just makes them download and install it for absolutely no benefit? You can keep the specfile identical and even commit it to the f19 branch in git if you want, but there's no need to actually ship the F-19 update.
Comment 5 Ville Skyttä 2013-08-09 04:26:49 EDT
(by "them" I meant F-19 users)
Comment 6 Alec Leamas 2013-08-09 04:31:08 EDT
"Banging my head to the table"

Of course, I could commit it without making an update. It's just that silly me so far always have been making an update after committing.

You're right, I 'll drop this update.
Comment 7 Fedora Update System 2013-08-09 23:53:36 EDT
Package adobe-source-libraries-1.0.43-19.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing adobe-source-libraries-1.0.43-19.fc19'
as soon as you are able to.
Please go to the following url:
then log in and leave karma (feedback).
Comment 8 Ville Skyttä 2013-08-10 03:23:43 EDT
(In reply to Alec Leamas from comment #6)
> You're right, I 'll drop this update.

Doesn't look it was deleted/cancelled yet as it already made it to updates-testing. Please take care of it -- I'd already done it myself but unfortunately bodhi won't let me.
Comment 9 Fedora End Of Life 2013-09-16 12:52:23 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:

Note You need to log in before you can comment on or make changes to this bug.